Subject: [PATCH v2] staging: fsl-mc: move bus driver out of staging

From: [email-masked] (Greg KH)
Date: Mon, 11 Sep 2017 06:03:03 -0700

On Mon, Sep 11, 2017 at 11:55:22AM +0000, Laurentiu Tudor wrote:
> Hi,
> 
> > -----Original Message-----
> > From: Greg KH [mailto:gregkh at linuxfoundation.org]
> > Sent: Thursday, August 31, 2017 7:05 PM
> > 
> > On Mon, Aug 28, 2017 at 01:54:05PM +0300, laurentiu.tudor at nxp.com wrote:
> > > From: Stuart Yoder <[email-masked]>
> > >
> > > Move the source files out of staging into their final locations:
> > >   -include files in drivers/staging/fsl-mc/include go to include/linux/fsl
> > >   -irq-gic-v3-its-fsl-mc-msi.c goes to drivers/irqchip
> > >   -source in drivers/staging/fsl-mc/bus goes to drivers/bus/fsl-mc
> > >   -README.txt, providing and overview of DPAA goes to
> > >    Documentation/dpaa2/overview.txt
> > >
> > > Update or delete other remaining staging files-- Makefile, Kconfig, TODO.
> > > Update dpaa2_eth and dpio staging drivers.
> > >
> > > Signed-off-by: Stuart Yoder <[email-masked]>
> > > Signed-off-by: Laurentiu Tudor <[email-masked]>
> > > [Laurentiu: rebased, add dpaa2_eth and dpio #include updates]
> > > Cc: Thomas Gleixner <[email-masked]>
> > > Cc: Jason Cooper <[email-masked]>
> > > Cc: Marc Zyngier <[email-masked]>
> > 
> > This is going to have to wait until I get a chunk of time to do the review.
> > Probably after 4.13-final is out.
> 
> Any updates on this? Any chances to make it in 4.14? Thanks!

No, it's too late for 4.14, it would have had to be in linux-next before
4.13-final came out.  I'm at a conference all this week, if I'm stuck in
a boring talk, I'll try to do the review :)

thanks,

greg k-h